import request from '@/utils/request'

// 查询招生简章列表
export function listMallSchoolAcceptRules(query) {
  return request({
    url: '/mall/mallSchoolAcceptRules/list',
    method: 'get',
    params: query
  })
}

// 查询招生简章详细
export function getMallSchoolAcceptRules(acceptRulesId) {
  return request({
    url: '/mall/mallSchoolAcceptRules/' + acceptRulesId,
    method: 'get'
  })
}

// 新增招生简章
export function addMallSchoolAcceptRules(data) {
  return request({
    url: '/mall/mallSchoolAcceptRules',
    method: 'post',
    data: data
  })
}

// 修改招生简章
export function updateMallSchoolAcceptRules(data) {
  return request({
    url: '/mall/mallSchoolAcceptRules',
    method: 'put',
    data: data
  })
}

// 删除招生简章
export function delMallSchoolAcceptRules(acceptRulesId) {
  return request({
    url: '/mall/mallSchoolAcceptRules/' + acceptRulesId,
    method: 'delete'
  })
}
